Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Class Methods | Properties | List of all members
CSCertificateInfo Class Reference

Represents X.509 certificate attributes information to be consumed by client applications. More...

`#import <CSCertificateInfo.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithCertificateSerialNumber:subjectSummary:subjectName:issuerName:notValidBeforeDate:notValidAfterDate:thumbprintSHA1:thumbprintSHA256:subjectAlternativeName:isCACertificate:extension:extendedKeyUsage:
| DEPRECATED since 252.0.0. More...
(instancetype) | - initWithCertificate:
| Creates certificate info from provided certificate SecCertificateRef. More...

## Class Methods
(instancetype) | + certificateInfoForCertificate:
| Creates certificate info from provided certificate SecCertificateRef. More...

## Properties
NSString * | subjectSummary
| Certificate subject summary. More...
NSString * | serialNumber
| Certificate serial number. More...
NSString * | subjectName
| Certificate Subject Name. More...
NSString * | issuerName
| Certificate Issuer Name. More...
NSDate * | notValidBeforeDate
| Local time before which certificate is not valid. More...
NSDate * | notValidAfterDate
| Local time after which certificate is no longer valid. More...
NSString * | thumbprintSHA1
| Certificate hash computed using SHA-1. More...
NSString * | thumbprintSHA256
| Certificate hash computed using SHA-256. More...
NSArray * | subjectAlternativeName
| Subject alternate Name attribute. More...
NSString * | extension
| Certificate extensions represented in one-line format. More...
NSString * | extendedKeyUsage
| Certificate Extended Key Usage Extension property. More...
BOOL | isCACertificate
| Certificate is a CA certificate if set. More...
CSCertificateBasicConstraint * | basicConstraints
| If basic constraint extension is available returns an object describing this extension. More...

## Detailed Description

Represents X.509 certificate attributes information to be consumed by client applications.

## Method Documentation

+ (instancetype) certificateInfoForCertificate: |  | (SecCertificateRef) | cert |

Creates certificate info from provided certificate SecCertificateRef.

API has been porvided since on iOS platfrom there is no system API to fetch certificate information.

- (instancetype) initWithCertificate: |  | (SecCertificateRef) | cert |

Creates certificate info from provided certificate SecCertificateRef.

API has been porvided since on iOS platfrom there is no system API to fetch certificate information.

- (instancetype) initWithCertificateSerialNumber: |  | (NSString *) | serialNumber
subjectSummary: |  | (NSString *) | subjectSummary
subjectName: |  | (NSString *) | subjectName
issuerName: |  | (NSString *) | issuerName
notValidBeforeDate: |  | (NSDate *) | notValidBeforeDate
notValidAfterDate: |  | (NSDate *) | notValidAfterDate
thumbprintSHA1: |  | (NSString *) | thumbprintSHA1
thumbprintSHA256: |  | (NSString *) | thumbprintSHA256
subjectAlternativeName: |  | (NSArray *) | subjectAlternativeName
isCACertificate: |  | (BOOL) | isCACertificate
extension: |  | (NSString *) | extension
extendedKeyUsage: |  | (NSString *) | extendedKeyUsage

DEPRECATED since 252.0.0.

## Property Documentation

- (CSCertificateBasicConstraint*) basicConstraints
| read nonatomic assign

If basic constraint extension is available returns an object describing this extension.

- (NSString*) extendedKeyUsage
| read nonatomic assign

Certificate Extended Key Usage Extension property.

- (NSString*) extension
| read nonatomic assign

Certificate extensions represented in one-line format.

- (BOOL) isCACertificate
| read nonatomic assign

Certificate is a CA certificate if set.

- (NSString*) issuerName
| read nonatomic assign

Certificate Issuer Name.

- (NSDate*) notValidAfterDate
| read nonatomic assign

Local time after which certificate is no longer valid.

- (NSDate*) notValidBeforeDate
| read nonatomic assign

Local time before which certificate is not valid.

- (NSString*) serialNumber
| read nonatomic assign

Certificate serial number.

- (NSArray*) subjectAlternativeName
| read nonatomic assign

Subject alternate Name attribute.

- (NSString*) subjectName
| read nonatomic assign

Certificate Subject Name.

- (NSString*) subjectSummary
| read nonatomic assign

Certificate subject summary.

Simple string represents a human understandable certificate subject summary.

- (NSString*) thumbprintSHA1
| read nonatomic assign

Certificate hash computed using SHA-1.

- (NSString*) thumbprintSHA256
| read nonatomic assign

Certificate hash computed using SHA-256.

The documentation for this class was generated from the following file:

- CSCertificateInfo.h